nmap 7.50 💾

Nmap ("Network Mapper") is a network utility for service discovery, monitoring and security auditing. Nmap utilizes raw IP packets for host discovery, port scanning, OS fingerprinting, firewall probing, and generating various statistics. It permits inspecting large network ranges but also works for single server checks. It's cross-platform compatible and also provides a X11 reporting GUI with Zenmap, and Ncat for data transfer and debugging, Ndiff for result comparison, and Nping for response an

minor feature: o Windows Updated the bundled Npcap from 0.78 to 0.91, with several for WiFi connectivity problems and stability. Daniel Miller, Yang Luo o Integrated all of your service/version detection fingerprints submitted from September to March (855 of them). The signature count went up 2.9 to 11,418. We now detect 1193 protocols from apachemq, bro, and clickhouse to jmon. Slmp, and zookeeper. Highlights: http://seclists.org/nmap-dev/2017/q2/140 o NSE Added 14 NSE scripts from 12 authors, bringing the total up to 566! They are all listed at https://nmap.org/nsedoc/, and the summaries are below: + GH#743 broadcast-ospf2-discover discovers OSPF 2 routers and neighbors. OSPFv2 authentication is supported. Emiliano Ticci . + GH#671 cics-info checks IBM TN3270 services for CICS transaction services. And extracts useful information. Soldier of Fortran + GH#671 cics-user-brute does brute-force enumeration of CICS usernames on IBM TN3270 services. Soldier of Fortran . + GH#669 http-cookie-flags checks HTTP session cookies for HTTPOnly and Secure flags. Steve Benson . Http-security-headers checks for the HTTP response headers related to. Security given in OWASP Secure Headers Project, giving a brief description of the header and its configuration value. Vinamra Bhatia, Ícaro Torres . + GH#740 GH#759 http-vuln-cve2017-5638 checks for the RCE in Apache Struts2. Seth Jackson . + GH#876 http-vuln-cve2017-5689 detects a privilege escalation. Vulnerability (INTEL-SA-00075) in Intel Active Management Technology (AMT) Capable systems. Andrew Orr Http-vuln-cve2017-1001000 detects a privilege escalation vulnerability in Wordpress 4.7.0 and 4.7.1 (CVE-2017-1001000) Vinamra Bhatia . + GH#713 impress-remote-discover attempts to pair with the LibreOffice Impress presentation remote service and extract version info. Pairing is PIN-protected, and the script can optionally brute-force the PIN. New. Service probe and match line also added. Jeremy Hi

GNU GPL c network-scanner nmap monitoring networking